<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// })->middleware(['auth.shopify'])->name('home');


Route::get('/', 'OrderController@createOrder')->middleware(['auth.shopify'])->name('home');
Route::post('/save-order', 'OrderController@saveOrder')->middleware(['auth.shopify'])->name('order.save'); 
Route::post('/save-subscription', 'SubscriptionController@saveSubscription')->middleware(['auth.shopify'])->name('subscription.save'); 
Route::get('/getCustomerAddress','OrderController@getCustomerAddress2')->middleware(['auth.shopify'])->name('get.AllData'); 
Route::post('/getState','OrderController@getState')->middleware(['auth.shopify'])->name('get.state'); 
Route::post('/getPackCount', 'OrderController@getPackCount');
Route::get('/getShopifyOrderDetails', 'OrderPrePopulateController@getShopifyOrderDetails')->middleware(['auth.shopify'])->name('same.site');
Route::get('/cancelAndRefundOrder', 'OrderCancelAndRefundController@cancelAndRefundOrder')->middleware(['auth.shopify'])->name('same.site');
Route::post('/processOrderCancelAndRefund', 'OrderCancelAndRefundController@processOrderCancelAndRefund')->middleware(['auth.shopify'])->name('same.site');

Route::get('/subscription-edit', [
    'uses' => 'SubscriptionController@editSubscription'
    ])->middleware(['auth.shopify'])->name('home');
